#!/usr/bin/env python

# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.

import os

import testtools
import zuul.cmd.scheduler

from tests import base


class TestSchedulerCmdArguments(testtools.TestCase):

    def setUp(self):
        super(TestSchedulerCmdArguments, self).setUp()
        self.app = zuul.cmd.scheduler.Scheduler()

    def test_test_config(self):
        conf_path = os.path.join(base.FIXTURE_DIR, 'zuul.conf')
        self.app.parse_arguments(['-t', '-c', conf_path])
        self.assertTrue(self.app.args.validate)
        self.app.read_config()
        self.assertEqual(0, self.app.test_config())
